/* Audience.c generated by valac 0.34.9, the Vala compiler
 * generated from Audience.vala, do not modify */

/*-
 * Copyright (c) 2013-2014 Audience Developers (http://launchpad.net/pantheon-chat)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Tom Beckmann <tomjonabc@gmail.com>
 *              Cody Garver <cody@elementaryos.org>
 *              Artem Anufrij <artem.anufrij@live.de>
 */

#include <glib.h>
#include <glib-object.h>
#include <granite.h>
#include <gtk/gtk.h>
#include <gio/gio.h>
#include <stdlib.h>
#include <string.h>
#include <glib/gi18n-lib.h>
#include <locale.h>
#include <X11/Xlib.h>
#include <X11/Xatom.h>
#include <X11/Xutil.h>
#include <X11/Xregion.h>
#include <clutter/clutter.h>
#include <clutter-gtk/clutter-gtk.h>
#include <gst/gst.h>


#define AUDIENCE_TYPE_SETTINGS (audience_settings_get_type ())
#define AUDIENCE_SETTINGS(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), AUDIENCE_TYPE_SETTINGS, AudienceSettings))
#define AUDIENCE_SETTINGS_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), AUDIENCE_TYPE_SETTINGS, AudienceSettingsClass))
#define AUDIENCE_IS_SETTINGS(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), AUDIENCE_TYPE_SETTINGS))
#define AUDIENCE_IS_SETTINGS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), AUDIENCE_TYPE_SETTINGS))
#define AUDIENCE_SETTINGS_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), AUDIENCE_TYPE_SETTINGS, AudienceSettingsClass))

typedef struct _AudienceSettings AudienceSettings;
typedef struct _AudienceSettingsClass AudienceSettingsClass;

#define AUDIENCE_TYPE_APP (audience_app_get_type ())
#define AUDIENCE_APP(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), AUDIENCE_TYPE_APP, AudienceApp))
#define AUDIENCE_APP_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), AUDIENCE_TYPE_APP, AudienceAppClass))
#define AUDIENCE_IS_APP(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), AUDIENCE_TYPE_APP))
#define AUDIENCE_IS_APP_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), AUDIENCE_TYPE_APP))
#define AUDIENCE_APP_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), AUDIENCE_TYPE_APP, AudienceAppClass))

typedef struct _AudienceApp AudienceApp;
typedef struct _AudienceAppClass AudienceAppClass;
typedef struct _AudienceAppPrivate AudienceAppPrivate;

#define AUDIENCE_TYPE_WINDOW (audience_window_get_type ())
#define AUDIENCE_WINDOW(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), AUDIENCE_TYPE_WINDOW, AudienceWindow))
#define AUDIENCE_WINDOW_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), AUDIENCE_TYPE_WINDOW, AudienceWindowClass))
#define AUDIENCE_IS_WINDOW(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), AUDIENCE_TYPE_WINDOW))
#define AUDIENCE_IS_WINDOW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), AUDIENCE_TYPE_WINDOW))
#define AUDIENCE_WINDOW_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), AUDIENCE_TYPE_WINDOW, AudienceWindowClass))

typedef struct _AudienceWindow AudienceWindow;
typedef struct _AudienceWindowClass AudienceWindowClass;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))

struct _AudienceApp {
	GraniteApplication parent_instance;
	AudienceAppPrivate * priv;
	AudienceWindow* mainwindow;
	GVolumeMonitor* monitor;
};

struct _AudienceAppClass {
	GraniteApplicationClass parent_class;
};


extern AudienceSettings* audience_settings;
AudienceSettings* audience_settings = NULL;
static gpointer audience_app_parent_class = NULL;
static AudienceApp* audience_app_app;
static AudienceApp* audience_app_app = NULL;

GType audience_settings_get_type (void) G_GNUC_CONST;
GType audience_app_get_type (void) G_GNUC_CONST;
GType audience_window_get_type (void) G_GNUC_CONST;
enum  {
	AUDIENCE_APP_DUMMY_PROPERTY
};
#define AUDIENCE_APP_VIDEOS "Videos"
#define AUDIENCE_APP_KEYWORDS "Audience;Video;Player;Movies;"
#define AUDIENCE_APP_COMMENT "Watch videos and movies"
#define AUDIENCE_APP_GENERIC_NAME "Video Player"
AudienceApp* audience_app_new (void);
AudienceApp* audience_app_construct (GType object_type);
AudienceSettings* audience_settings_new (void);
AudienceSettings* audience_settings_construct (GType object_type);
AudienceApp* audience_app_get_instance (void);
static void audience_app_real_activate (GApplication* base);
const gchar* audience_settings_get_last_folder (AudienceSettings* self);
void audience_settings_set_last_folder (AudienceSettings* self, const gchar* value);
const gchar* audience_settings_get_library_folder (AudienceSettings* self);
void audience_settings_set_library_folder (AudienceSettings* self, const gchar* value);
gchar* audience_app_get_cache_directory (AudienceApp* self);
AudienceWindow* audience_window_new (void);
AudienceWindow* audience_window_construct (GType object_type);
static void audience_app_real_open (GApplication* base, GFile** files, int files_length1, const gchar* hint);
void audience_window_open_files (AudienceWindow* self, GFile** files, int files_length1, gboolean clear_playlist, gboolean force_play);
static GObject * audience_app_constructor (GType type, guint n_construct_properties, GObjectConstructParam * construct_properties);
#define CONSTANTS_APP_NAME "Audience"
#define CONSTANTS_DATADIR "/usr/share"
#define CONSTANTS_PKGDATADIR "/usr/share/audience"
#define CONSTANTS_RELEASE_NAME "A modern media player."
#define CONSTANTS_VERSION "0.2.4"
#define CONSTANTS_VERSION_INFO "The Red Comet"
static void audience_app_finalize (GObject* obj);
void _vala_main (gchar** args, int args_length1);
const gchar* clutter_init_error_to_string (ClutterInitError self);


AudienceApp* audience_app_construct (GType object_type) {
	AudienceApp * self = NULL;
	GtkSettings* _tmp0_ = NULL;
	GApplicationFlags _tmp1_ = 0;
	GApplicationFlags _tmp2_ = 0;
	AudienceSettings* _tmp3_ = NULL;
#line 58 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	self = (AudienceApp*) granite_application_construct (object_type);
#line 59 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	_tmp0_ = gtk_settings_get_default ();
#line 59 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	g_object_set (_tmp0_, "gtk-application-prefer-dark-theme", TRUE, NULL);
#line 60 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	_tmp1_ = g_application_get_flags ((GApplication*) self);
#line 60 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	_tmp2_ = _tmp1_;
#line 60 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	g_application_set_flags ((GApplication*) self, _tmp2_ | G_APPLICATION_HANDLES_OPEN);
#line 61 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	_tmp3_ = audience_settings_new ();
#line 61 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	_g_object_unref0 (audience_settings);
#line 61 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	audience_settings = _tmp3_;
#line 62 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	g_application_set_default ((GApplication*) self);
#line 58 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	return self;
#line 161 "Audience.c"
}


AudienceApp* audience_app_new (void) {
#line 58 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	return audience_app_construct (AUDIENCE_TYPE_APP);
#line 168 "Audience.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 69 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	return self ? g_object_ref (self) : NULL;
#line 175 "Audience.c"
}


AudienceApp* audience_app_get_instance (void) {
	AudienceApp* result = NULL;
	AudienceApp* _tmp0_ = NULL;
	AudienceApp* _tmp2_ = NULL;
	AudienceApp* _tmp3_ = NULL;
#line 67 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	_tmp0_ = audience_app_app;
#line 67 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	if (_tmp0_ == NULL) {
#line 188 "Audience.c"
		AudienceApp* _tmp1_ = NULL;
#line 68 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
		_tmp1_ = audience_app_new ();
#line 68 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
		_g_object_unref0 (audience_app_app);
#line 68 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
		audience_app_app = _tmp1_;
#line 196 "Audience.c"
	}
#line 69 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	_tmp2_ = audience_app_app;
#line 69 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	_tmp3_ = _g_object_ref0 (_tmp2_);
#line 69 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	result = _tmp3_;
#line 69 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	return result;
#line 206 "Audience.c"
}


static void audience_app_real_activate (GApplication* base) {
	AudienceApp * self;
	AudienceWindow* _tmp0_ = NULL;
	GError * _inner_error_ = NULL;
#line 72 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	self = (AudienceApp*) base;
#line 73 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	_tmp0_ = self->mainwindow;
#line 73 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	if (_tmp0_ == NULL) {
#line 220 "Audience.c"
		AudienceSettings* _tmp1_ = NULL;
		const gchar* _tmp2_ = NULL;
		const gchar* _tmp3_ = NULL;
		AudienceSettings* _tmp6_ = NULL;
		const gchar* _tmp7_ = NULL;
		const gchar* _tmp8_ = NULL;
		AudienceWindow* _tmp20_ = NULL;
		AudienceWindow* _tmp21_ = NULL;
		AudienceWindow* _tmp22_ = NULL;
		const gchar* _tmp23_ = NULL;
#line 74 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
		_tmp1_ = audience_settings;
#line 74 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
		_tmp2_ = audience_settings_get_last_folder (_tmp1_);
#line 74 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
		_tmp3_ = _tmp2_;
#line 74 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
		if (g_strcmp0 (_tmp3_, "-1") == 0) {
#line 239 "Audience.c"
			AudienceSettings* _tmp4_ = NULL;
			const gchar* _tmp5_ = NULL;
#line 75 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
			_tmp4_ = audience_settings;
#line 75 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
			_tmp5_ = g_get_user_special_dir (G_USER_DIRECTORY_VIDEOS);
#line 75 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
			audience_settings_set_last_folder (_tmp4_, _tmp5_);
#line 248 "Audience.c"
		}
#line 77 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
		_tmp6_ = audience_settings;
#line 77 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
		_tmp7_ = audience_settings_get_library_folder (_tmp6_);
#line 77 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
		_tmp8_ = _tmp7_;
#line 77 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
		if (g_strcmp0 (_tmp8_, "") == 0) {
#line 258 "Audience.c"
			AudienceSettings* _tmp9_ = NULL;
			const gchar* _tmp10_ = NULL;
#line 78 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
			_tmp9_ = audience_settings;
#line 78 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
			_tmp10_ = g_get_user_special_dir (G_USER_DIRECTORY_VIDEOS);
#line 78 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
			audience_settings_set_library_folder (_tmp9_, _tmp10_);
#line 267 "Audience.c"
		}
		{
			GFile* cache = NULL;
			gchar* _tmp11_ = NULL;
			gchar* _tmp12_ = NULL;
			GFile* _tmp13_ = NULL;
			GFile* _tmp14_ = NULL;
			GFile* _tmp15_ = NULL;
			gboolean _tmp16_ = FALSE;
#line 82 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
			_tmp11_ = audience_app_get_cache_directory (self);
#line 82 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
			_tmp12_ = _tmp11_;
#line 82 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
			_tmp13_ = g_file_new_for_path (_tmp12_);
#line 82 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
			_tmp14_ = _tmp13_;
#line 82 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
			_g_free0 (_tmp12_);
#line 82 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
			cache = _tmp14_;
#line 83 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
			_tmp15_ = cache;
#line 83 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
			_tmp16_ = g_file_query_exists (_tmp15_, NULL);
#line 83 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
			if (!_tmp16_) {
#line 295 "Audience.c"
				GFile* _tmp17_ = NULL;
#line 84 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
				_tmp17_ = cache;
#line 84 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
				g_file_make_directory (_tmp17_, NULL, &_inner_error_);
#line 84 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
				if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 84 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
					_g_object_unref0 (cache);
#line 305 "Audience.c"
					goto __catch2_g_error;
				}
			}
#line 81 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
			_g_object_unref0 (cache);
#line 311 "Audience.c"
		}
		goto __finally2;
		__catch2_g_error:
		{
			GError* e = NULL;
			GError* _tmp18_ = NULL;
			const gchar* _tmp19_ = NULL;
#line 81 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
			e = _inner_error_;
#line 81 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
			_inner_error_ = NULL;
#line 87 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
			_tmp18_ = e;
#line 87 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
			_tmp19_ = _tmp18_->message;
#line 87 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
			g_warning ("Audience.vala:87: %s", _tmp19_);
#line 81 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
			_g_error_free0 (e);
#line 331 "Audience.c"
		}
		__finally2:
#line 81 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 81 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 81 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
			g_clear_error (&_inner_error_);
#line 81 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
			return;
#line 342 "Audience.c"
		}
#line 90 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
		_tmp20_ = audience_window_new ();
#line 90 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
		g_object_ref_sink (_tmp20_);
#line 90 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
		_g_object_unref0 (self->mainwindow);
#line 90 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
		self->mainwindow = _tmp20_;
#line 91 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
		_tmp21_ = self->mainwindow;
#line 91 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
		gtk_window_set_application ((GtkWindow*) _tmp21_, (GtkApplication*) self);
#line 92 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
		_tmp22_ = self->mainwindow;
#line 92 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
		_tmp23_ = ((GraniteApplication*) self)->program_name;
#line 92 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
		gtk_window_set_title ((GtkWindow*) _tmp22_, _tmp23_);
#line 362 "Audience.c"
	}
}


gchar* audience_app_get_cache_directory (AudienceApp* self) {
	gchar* result = NULL;
	const gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
#line 96 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 97 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	_tmp0_ = g_get_user_cache_dir ();
#line 97 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	_tmp1_ = ((GraniteApplication*) self)->exec_name;
#line 97 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	_tmp2_ = g_build_filename (_tmp0_, _tmp1_, NULL);
#line 97 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	result = _tmp2_;
#line 97 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	return result;
#line 384 "Audience.c"
}


static void audience_app_real_open (GApplication* base, GFile** files, int files_length1, const gchar* hint) {
	AudienceApp * self;
	AudienceWindow* _tmp0_ = NULL;
	GFile** _tmp1_ = NULL;
	gint _tmp1__length1 = 0;
#line 101 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	self = (AudienceApp*) base;
#line 101 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	g_return_if_fail (hint != NULL);
#line 102 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	g_application_activate ((GApplication*) self);
#line 103 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	_tmp0_ = self->mainwindow;
#line 103 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	_tmp1_ = files;
#line 103 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	_tmp1__length1 = files_length1;
#line 103 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	audience_window_open_files (_tmp0_, _tmp1_, _tmp1__length1, TRUE, TRUE);
#line 407 "Audience.c"
}


static GObject * audience_app_constructor (GType type, guint n_construct_properties, GObjectConstructParam * construct_properties) {
	GObject * obj;
	GObjectClass * parent_class;
	AudienceApp * self;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	gchar* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
	gchar* _tmp7_ = NULL;
	gchar* _tmp8_ = NULL;
	gchar* _tmp9_ = NULL;
#line 41 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	parent_class = G_OBJECT_CLASS (audience_app_parent_class);
#line 41 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	obj = parent_class->constructor (type, n_construct_properties, construct_properties);
#line 41 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, AUDIENCE_TYPE_APP, AudienceApp);
#line 42 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	_tmp0_ = _ (CONSTANTS_APP_NAME);
#line 42 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 42 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	_g_free0 (((GraniteApplication*) self)->program_name);
#line 42 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	((GraniteApplication*) self)->program_name = _tmp1_;
#line 43 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	_tmp2_ = g_strdup ("audience");
#line 43 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	_g_free0 (((GraniteApplication*) self)->exec_name);
#line 43 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	((GraniteApplication*) self)->exec_name = _tmp2_;
#line 45 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	_tmp3_ = g_strdup (CONSTANTS_DATADIR);
#line 45 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	_g_free0 (((GraniteApplication*) self)->build_data_dir);
#line 45 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	((GraniteApplication*) self)->build_data_dir = _tmp3_;
#line 46 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	_tmp4_ = g_strdup (CONSTANTS_PKGDATADIR);
#line 46 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	_g_free0 (((GraniteApplication*) self)->build_pkg_data_dir);
#line 46 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	((GraniteApplication*) self)->build_pkg_data_dir = _tmp4_;
#line 47 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	_tmp5_ = g_strdup (CONSTANTS_RELEASE_NAME);
#line 47 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	_g_free0 (((GraniteApplication*) self)->build_release_name);
#line 47 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	((GraniteApplication*) self)->build_release_name = _tmp5_;
#line 48 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	_tmp6_ = g_strdup (CONSTANTS_VERSION);
#line 48 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	_g_free0 (((GraniteApplication*) self)->build_version);
#line 48 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	((GraniteApplication*) self)->build_version = _tmp6_;
#line 49 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	_tmp7_ = g_strdup (CONSTANTS_VERSION_INFO);
#line 49 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	_g_free0 (((GraniteApplication*) self)->build_version_info);
#line 49 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	((GraniteApplication*) self)->build_version_info = _tmp7_;
#line 51 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	setlocale (LC_ALL, "");
#line 53 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	_tmp8_ = g_strdup ("multimedia-video-player");
#line 53 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	_g_free0 (((GraniteApplication*) self)->app_icon);
#line 53 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	((GraniteApplication*) self)->app_icon = _tmp8_;
#line 54 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	_tmp9_ = g_strdup ("org.pantheon.audience.desktop");
#line 54 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	_g_free0 (((GraniteApplication*) self)->app_launcher);
#line 54 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	((GraniteApplication*) self)->app_launcher = _tmp9_;
#line 55 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	g_application_set_application_id ((GApplication*) self, "org.pantheon.audience");
#line 41 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	return obj;
#line 493 "Audience.c"
}


static void audience_app_class_init (AudienceAppClass * klass) {
#line 25 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	audience_app_parent_class = g_type_class_peek_parent (klass);
#line 25 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	((GApplicationClass *) klass)->activate = (void (*)(GApplication*)) audience_app_real_activate;
#line 25 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	((GApplicationClass *) klass)->open = (void (*)(GApplication*, GFile**, int, const gchar*)) audience_app_real_open;
#line 25 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	G_OBJECT_CLASS (klass)->constructor = audience_app_constructor;
#line 25 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	G_OBJECT_CLASS (klass)->finalize = audience_app_finalize;
#line 508 "Audience.c"
}


static void audience_app_instance_init (AudienceApp * self) {
}


static void audience_app_finalize (GObject* obj) {
	AudienceApp * self;
#line 25 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, AUDIENCE_TYPE_APP, AudienceApp);
#line 38 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	_g_object_unref0 (self->mainwindow);
#line 39 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	_g_object_unref0 (self->monitor);
#line 25 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	G_OBJECT_CLASS (audience_app_parent_class)->finalize (obj);
#line 526 "Audience.c"
}


GType audience_app_get_type (void) {
	static volatile gsize audience_app_type_id__volatile = 0;
	if (g_once_init_enter (&audience_app_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (AudienceAppClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) audience_app_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (AudienceApp), 0, (GInstanceInitFunc) audience_app_instance_init, NULL };
		GType audience_app_type_id;
		audience_app_type_id = g_type_register_static (GRANITE_TYPE_APPLICATION, "AudienceApp", &g_define_type_info, 0);
		g_once_init_leave (&audience_app_type_id__volatile, audience_app_type_id);
	}
	return audience_app_type_id__volatile;
}


void _vala_main (gchar** args, int args_length1) {
	ClutterInitError err = 0;
	ClutterInitError _tmp0_ = 0;
	AudienceApp* app = NULL;
	AudienceApp* _tmp4_ = NULL;
	gchar** _tmp5_ = NULL;
	gint _tmp5__length1 = 0;
#line 109 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	XInitThreads ();
#line 111 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	_tmp0_ = gtk_clutter_init (&args_length1, &args);
#line 111 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	err = _tmp0_;
#line 112 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	if (err != CLUTTER_INIT_SUCCESS) {
#line 557 "Audience.c"
		GEnumValue* _tmp1_;
		gchar* _tmp2_ = NULL;
		gchar* _tmp3_ = NULL;
#line 113 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
		_tmp1_ = g_enum_get_value (g_type_class_ref (clutter_init_error_get_type ()), err);
#line 113 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
		_tmp2_ = g_strconcat ("Could not initalize clutter! ", (_tmp1_ != NULL) ? _tmp1_->value_name : NULL, NULL);
#line 113 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
		_tmp3_ = _tmp2_;
#line 113 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
		g_error ("Audience.vala:113: %s", _tmp3_);
#line 113 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
		_g_free0 (_tmp3_);
#line 571 "Audience.c"
	}
#line 116 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	gst_init (&args_length1, &args);
#line 118 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	_tmp4_ = audience_app_get_instance ();
#line 118 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	app = _tmp4_;
#line 120 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	_tmp5_ = args;
#line 120 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	_tmp5__length1 = args_length1;
#line 120 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	granite_application_run ((GraniteApplication*) app, _tmp5_, _tmp5__length1);
#line 108 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	_g_object_unref0 (app);
#line 587 "Audience.c"
}


int main (int argc, char ** argv) {
#if !GLIB_CHECK_VERSION (2,32,0)
	g_thread_init (NULL);
#endif
#if !GLIB_CHECK_VERSION (2,35,0)
	g_type_init ();
#endif
#line 108 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	_vala_main (argv, argc);
#line 108 "/builddir/build/BUILD/videos-0.2.4/src/Audience.vala"
	return 0;
#line 602 "Audience.c"
}



